> For the complete documentation index, see [llms.txt](https://docs.andus.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.andus.dev/lonelypie-games/evie-modding-guide.md).

# Evie Modding Guide

## What you'll need:

* Some Godot/GDScript knowledge
* A PC
* Gamepad (if you want to test your mod with it, else just use keyboard)

## Creating Scenes

### Levels (With Pause Menu)

1. Create a scene (for example in 'levels' folder)
2. The root node of the scene needs to be named with special characters ([read this](#understanding-how-level-naming-works-in-evie)).
3. After that, add Player, a CanvasLayer, and inside of it, PauseController. Now you can start creating your level!

### Understanding how level naming works in Evie

The root node's name is split into 2 variables:\
`Chapter*1-Chapter*Name` *(levelN)* and `2-Act*Name` *(act)*.\
'\_' acts here as a separator.

The first variable *(levelN)* is split again into:\
`Chapter*1` *(levelNum)* and `Chapter*Name` *(levelName)*.\
'-' acts as a separator, '\*' acts as a space.

The second variable *(act)* is split into:\
`2` *(actNum)* and `Act*Name` *(actName)*.\
'-' acts as a separator, '\*' acts as a space.

Then it all connects again as a readable text:\
\&#xNAN;**`Chapter 1: Chapter Name`**\
&#x20;**`Act 2: Act Name`**

### Scenes (Without Pause Menu)

1. Create a scene
2. You're done. Start adding UI elements etc.

## Localizing your mod

To add support for other languages in your mod, go to Localization tab in the top bar.\
In locales tab you can add languages, in translations tab you have a clear view of all the keys and their translations.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.andus.dev/lonelypie-games/evie-modding-guide.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
